GrailsAppBuilder (Grails 6.0.0)

Package: grails.boot

## [Groovy] Class GrailsAppBuilder

- grails.boot.GrailsAppBuilder

-     @groovy.transform.CompileStatic
      @groovy.transform.InheritConstructors
      class GrailsAppBuilder
      extends org.springframework.boot.builder.SpringApplicationBuilder

  Fluent API for constructing GrailsApp instances. Simple extension of org.springframework.boot.builder.SpringApplicationBuilder.

  Authors:
    Graeme Rocher
  Since:
    3.0.6

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsAppBuilder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.springframework.boot.SpringApplication` | `createSpringApplication(org.springframework.core.io.ResourceLoader resourceLoader, java.lang.Class<?>[] sources)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.boot.builder.SpringApplicationBuilder` | `org.springframework.boot.builder.SpringApplicationBuilder#sources([Ljava.lang.Class;), org.springframework.boot.builder.SpringApplicationBuilder#application(), org.springframework.boot.builder.SpringApplicationBuilder#banner(org.springframework.boot.Banner), org.springframework.boot.builder.SpringApplicationBuilder#headless(boolean), org.springframework.boot.builder.SpringApplicationBuilder#logStartupInfo(boolean), org.springframework.boot.builder.SpringApplicationBuilder#environmentPrefix(java.lang.String), org.springframework.boot.builder.SpringApplicationBuilder#bannerMode(org.springframework.boot.Banner$Mode), org.springframework.boot.builder.SpringApplicationBuilder#applicationStartup(org.springframework.core.metrics.ApplicationStartup), org.springframework.boot.builder.SpringApplicationBuilder#lazyInitialization(boolean), org.springframework.boot.builder.SpringApplicationBuilder#beanNameGenerator(org.springframework.beans.factory.support.BeanNameGenerator), org.springframework.boot.builder.SpringApplicationBuilder#addCommandLineProperties(boolean), org.springframework.boot.builder.SpringApplicationBuilder#allowCircularReferences(boolean), org.springframework.boot.builder.SpringApplicationBuilder#setAddConversionService(boolean), org.springframework.boot.builder.SpringApplicationBuilder#addBootstrapRegistryInitializer(org.springframework.boot.BootstrapRegistryInitializer), org.springframework.boot.builder.SpringApplicationBuilder#sibling([Ljava.lang.Class;, [Ljava.lang.String;), org.springframework.boot.builder.SpringApplicationBuilder#sibling([Ljava.lang.Class;), org.springframework.boot.builder.SpringApplicationBuilder#resourceLoader(org.springframework.core.io.ResourceLoader), org.springframework.boot.builder.SpringApplicationBuilder#initializers([Lorg.springframework.context.ApplicationContextInitializer;), org.springframework.boot.builder.SpringApplicationBuilder#profiles([Ljava.lang.String;), org.springframework.boot.builder.SpringApplicationBuilder#contextFactory(org.springframework.boot.ApplicationContextFactory), org.springframework.boot.builder.SpringApplicationBuilder#web(org.springframework.boot.WebApplicationType), org.springframework.boot.builder.SpringApplicationBuilder#registerShutdownHook(boolean), org.springframework.boot.builder.SpringApplicationBuilder#child([Ljava.lang.Class;), org.springframework.boot.builder.SpringApplicationBuilder#properties([Ljava.lang.String;), org.springframework.boot.builder.SpringApplicationBuilder#properties(java.util.Map), org.springframework.boot.builder.SpringApplicationBuilder#properties(java.util.Properties), org.springframework.boot.builder.SpringApplicationBuilder#listeners([Lorg.springframework.context.ApplicationListener;), org.springframework.boot.builder.SpringApplicationBuilder#main(java.lang.Class), org.springframework.boot.builder.SpringApplicationBuilder#run([Ljava.lang.String;), org.springframework.boot.builder.SpringApplicationBuilder#parent(org.springframework.context.ConfigurableApplicationContext), org.springframework.boot.builder.SpringApplicationBuilder#parent([Ljava.lang.Class;), org.springframework.boot.builder.SpringApplicationBuilder#context(), org.springframework.boot.builder.SpringApplicationBuilder#environment(org.springframework.core.env.ConfigurableEnvironment), org.springframework.boot.builder.SpringApplicationBuilder#build([Ljava.lang.String;), org.springframework.boot.builder.SpringApplicationBuilder#build(), org.springframework.boot.builder.SpringApplicationBuilder#wait(long), org.springframework.boot.builder.SpringApplicationBuilder#wait(long, int), org.springframework.boot.builder.SpringApplicationBuilder#wait(), org.springframework.boot.builder.SpringApplicationBuilder#equals(java.lang.Object), org.springframework.boot.builder.SpringApplicationBuilder#toString(), org.springframework.boot.builder.SpringApplicationBuilder#hashCode(), org.springframework.boot.builder.SpringApplicationBuilder#getClass(), org.springframework.boot.builder.SpringApplicationBuilder#notify(), org.springframework.boot.builder.SpringApplicationBuilder#notifyAll()`

- - ### Constructor Detail

    - #### GrailsAppBuilder()

  - ### Method Detail

    - #### @java.lang.Override protected org.springframework.boot.SpringApplication createSpringApplication(org.springframework.core.io.ResourceLoader resourceLoader, java.lang.Class<?>[] sources)